Bug 608310 - CUPS backend "snmp" doesn't identify HP 2600n, 1505n, or Pro P1102n
Summary: CUPS backend "snmp" doesn't identify HP 2600n, 1505n, or Pro P1102n
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-26 19:10 UTC by Rick Richardson
Modified: 2011-06-27 19:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 18:58:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snmp.c diff (1.07 KB, application/octet-stream)
2010-06-26 19:10 UTC, Rick Richardson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3598 None None None Never

Description Rick Richardson 2010-06-26 19:10:42 UTC
Created attachment 427120 [details]
snmp.c diff

CUPS backend "snmp" doesn't identify HP 2600n, 1505n, or Pro P1102n.

It is because the HOST-RESOURCES-MIB::hrDeviceType.1 is not there.  But, HOST-RESOURCES-MIB::hrPrinterStatus.1 *IS* there.  So I have prepared a patch to fix it.

Before patch:
$ /usr/lib/cups/backend/snmp
network socket://192.168.1.10 "MINOLTA-QMS magicolor 2300 DL" "MINOLTA-QMS magicolor 2300 DL" "" ""
network lpd://192.168.1.13/lp "KONICA MINOLTA mc2530DL" "KONICA MINOLTA magicolor 2530 DL" "MFG:KONICA MINOLTA;CMD:ZJS,PJL,LAVAFLOW;MDL:mc2530DL;CLS:PRINTER;DES:KONICA MINOLTA mc2530DL;" ""

After patch:
$ ./snmp
network socket://192.168.1.10 "MINOLTA-QMS magicolor 2300 DL" "MINOLTA-QMS magicolor 2300 DL" "" ""
network socket://192.168.1.12 "HP Color LaserJet 2600n" "HP Color LaserJet 2600n" "" ""
network lpd://192.168.1.13/lp "KONICA MINOLTA mc2530DL" "KONICA MINOLTA magicolor 2530 DL" "MFG:KONICA MINOLTA;CMD:ZJS,PJL,LAVAFLOW;MDL:mc2530DL;CLS:PRINTER;DES:KONICA MINOLTA mc2530DL;" ""
network socket://192.168.1.14 "HP LaserJet P1505n" "HP LaserJet P1505n" "" " "
network socket://192.168.1.15 "HP LaserJet Professional P1102w" "HP LaserJet Professional P1102w" "" " "

Comment 1 Bug Zapper 2010-11-03 12:49:28 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2011-06-01 15:30:51 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2011-06-27 18:58:47 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.